## spades 3.10.1+dfsg

=== src/CMakeLists.txt ===
# -*- cmake -*-
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

# Hard prerequisites
cmake_minimum_required(VERSION 2.8.12)

# allow more human readable "if then else" constructs
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS TRUE) 

# modules to find additional libraries (like zlib, boost and etc)
# Add path for custom modules
set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
# Define various dirs
set(SPADES_MAIN_SRC_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SPADES_MODULES_DIR ${SPADES_MAIN_SRC_DIR}/common)
set(SPADES_MAIN_INCLUDE_DIR ${SPADES_MAIN_SRC_DIR}/include)
set(SPADES_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR})
set(SPADES_TOOLS_BINARY_DIR ${SPADES_BINARY_DIR}/bin)
set(SPADES_BUILT_INCLUDE_DIR ${SPADES_BINARY_DIR}/include)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SPADES_TOOLS_BINARY_DIR})
set(EXT_DIR "${CMAKE_SOURCE_DIR}/../ext")
set(SPADES_CFG_DIR "${CMAKE_SOURCE_DIR}/../configs")

# Everything option-dependent
include(options)

# Sanity check our source directory to make sure that we are not trying to
# generate an in-tree build 
if ((CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR) OR
    (CMAKE_SOURCE_DIR STREQUAL "${CMAKE_BINARY_DIR}/src"))
  message(FATAL_ERROR "In-source builds are not allowed.
Please create a directory and run cmake from there, passing the path
to this source directory as the last argument.
This process created the file `CMakeCache.txt' and the directory `CMakeFiles'.
Please delete them.")
endif()

# Handle commond deps
include(deps)

# Add flags if necessary
include(flags)

# Handle common includes
include(includes)

# Handle common libs
include(libs)

include(GetGitRevisionDescription)
get_git_head_revision(SPADES_GIT_REFSPEC SPADES_GIT_SHA1)
if ((NOT SPADES_GIT_REFSPEC) OR (SPADES_GIT_REFSPEC STREQUAL "GITDIR-NOTFOUND"))
  set(SPADES_GIT_REFSPEC "N/A")
endif()
if (NOT SPADES_GIT_SHA1)
  set(SPADES_GIT_SHA1 "N/A")
endif()

message("Building SPAdes from ${SPADES_GIT_REFSPEC}, sha: ${SPADES_GIT_SHA1}")

configure_file("${SPADES_MAIN_INCLUDE_DIR}/config.hpp.in"
               "${SPADES_BUILT_INCLUDE_DIR}/config.hpp")
configure_file("${SPADES_MAIN_INCLUDE_DIR}/version.hpp.in"
               "${SPADES_BUILT_INCLUDE_DIR}/version.hpp")

# Build external dependencies (if any)
add_subdirectory("${EXT_DIR}/src" "${Project_BINARY_DIR}/ext")
add_subdirectory("${EXT_DIR}/tools" "${Project_BINARY_DIR}/ext_tools")

# Setup warnings
add_compile_options(-Wall -Wextra -Wconversion -Wno-sign-conversion -Wno-long-long -Wwrite-strings)
if (NOT OPENMP_FOUND)
  add_compile_options(-Wno-unknown-pragmas)
endif()

# sub projects
add_subdirectory(common)
add_subdirectory(projects)
add_subdirectory(spades_pipeline)


# Main pipeline script
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../spades.py"
        DESTINATION bin
        COMPONENT runtime)
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../dipspades.py"
        DESTINATION bin
        COMPONENT runtime)
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../metaspades.py"
        DESTINATION bin
        COMPONENT runtime)
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../plasmidspades.py"
        DESTINATION bin
        COMPONENT runtime)
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../rnaspades.py"
        DESTINATION bin
        COMPONENT runtime)
install(PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/../truspades.py"
        DESTINATION bin
        COMPONENT runtime)

install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../spades_init.py"
        DESTINATION bin
        COMPONENT runtime)
# FIXME: Should we just configure spades_init instead?
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../VERSION"
        DESTINATION share/spades
        COMPONENT runtime)
# Test datasets
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/../test_dataset"
        DESTINATION share/spades)
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/../test_dataset_truspades"
        DESTINATION share/spades)
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/../test_dataset_plasmid"
        DESTINATION share/spades)
# manual, LICENSE, and GPLv2
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../manual.html"
        DESTINATION share/spades
        COMPONENT runtime)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../dipspades_manual.html"
        DESTINATION share/spades
        COMPONENT runtime)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../truspades_manual.html"
        DESTINATION share/spades
        COMPONENT runtime)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../rnaspades_manual.html"
        DESTINATION share/spades
        COMPONENT runtime)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE"
        DESTINATION share/spades
        COMPONENT runtime)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../GPLv2.txt"
        DESTINATION share/spades
        COMPONENT runtime)

# Random stuff
include(CMakeListsInternal.txt)

# Packaging
include(pack)

# Workaround for poor CLion users
file(GLOB_RECURSE clion_all_headers
  ${CMAKE_SOURCE_DIR}/*.hpp ${CMAKE_SOURCE_DIR}/*.h)
add_custom_target(all_clion SOURCES ${clion_all_headers})

=== src/common/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(common_modules CXX)

add_subdirectory(pipeline)
add_subdirectory(assembly_graph)
add_subdirectory(modules/path_extend)
add_subdirectory(modules)
add_subdirectory(stages)
add_subdirectory(utils)
add_subdirectory(io)
add_subdirectory(utils/mph_index)
add_subdirectory(utils/coverage_model)

add_library(common_modules STATIC empty.cpp)

target_link_libraries(common_modules assembly_graph input pipeline coverage_model path_extend stages utils mph_index modules)

=== src/common/utils/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(utils CXX)

set(utils_src
    copy_file.cpp
    path_helper.cpp
    logger/logger_impl.cpp)

if (READLINE_FOUND)
  set(utils_src ${utils_src} autocompletion.cpp)
endif()

add_library(utils STATIC
            ${utils_src})

=== src/projects/ionhammer/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint-Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(ionhammer CXX)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(ionhammer
               kmer_data.cpp
               hamcluster.cpp
               subcluster.cpp
               err_helper_table.cpp
               config_struct.cpp
               expander.cpp
               seqeval/BaseHypothesisEvaluator.cpp
               seqeval/TreephaserLite.cpp
               main.cpp)

target_link_libraries(ionhammer input utils pipeline mph_index BamTools ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(ionhammer PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

install(TARGETS ionhammer
        RUNTIME DESTINATION bin)
install(DIRECTORY "${SPADES_CFG_DIR}/ionhammer"
        DESTINATION share/spades/configs
                FILES_MATCHING PATTERN "*.cfg")

=== src/projects/mts/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015-2016 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

cmake_minimum_required(VERSION 2.8)

project(kmer_count_filter CXX)

include_directories(kmc_api)
include_directories(${CMAKE_SOURCE_DIR}/include)
include_directories(${EXT_DIR}/include)
include_directories(${CMAKE_SOURCE_DIR}/debruijn)

add_executable(kmer_multiplicity_counter
        kmc_api/kmc_file.cpp
        kmc_api/kmer_api.cpp
        kmc_api/mmer.cpp
        kmer_multiplicity_counter.cpp)

target_link_libraries(kmer_multiplicity_counter common_modules utils input getopt_pp ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(kmer_multiplicity_counter PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

add_executable(prop_binning
               propagate.cpp
               read_binning.cpp
               prop_binning.cpp)

target_link_libraries(prop_binning common_modules nlopt BamTools ssw getopt_pp ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(prop_binning PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

add_executable(stats
               stats.cpp)

target_link_libraries(stats common_modules nlopt BamTools ssw getopt_pp ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(stats PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

add_executable(contig_abundance_counter
               contig_abundance_counter.cpp
               contig_abundance.cpp)

target_link_libraries(contig_abundance_counter common_modules nlopt BamTools ssw getopt_pp ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(contig_abundance_counter PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

=== src/projects/spades/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(spades CXX)

add_executable(spades main.cpp
            gap_closer.cpp
            mismatch_correction.cpp
            pair_info_count.cpp
            second_phase_setup.cpp
            distance_estimation.cpp
            repeat_resolving.cpp
            contig_output_stage.cpp
            hybrid_aligning.cpp
            chromosome_removal.cpp
            ../mts/contig_abundance.cpp)

target_include_directories(spades PRIVATE ${EXT_DIR}/include/ConsensusCore)
target_link_libraries(spades ConsensusCore common_modules nlopt BamTools ssw ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(spades PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

install(TARGETS spades
        DESTINATION bin
        COMPONENT runtime)
install(DIRECTORY "${SPADES_CFG_DIR}/debruijn"
        DESTINATION share/spades/configs
        FILES_MATCHING PATTERN "*.info")

=== debian/changelog ===
spades (3.10.1+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with GCC 7.
    Closes: #853666
  * Update homepage.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Aug 2017 16:39:50 +0200

spades (3.10.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 16:31:57 +0000

spades (3.10.1+dfsg-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version 3.10.1+dfsg

  [ Sascha Steinbiss ]
  * Build for experimental.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 21 Apr 2017 17:54:15 +0000

=== debian/control ===
Source: spades
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Andreas Tille <tille@debian.org>,
	Afif Elghraoui <afif@debian.org>,
	Sascha Steinbiss <satta@debian.org>,
        Michael R. Crusoe <michael.crusoe@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               python-all-dev,
               zlib1g-dev,
               libbz2-dev,
               libboost-dev,
               libbam-dev,
               libbamtools-dev,
               libjemalloc-dev,
               libhat-trie-dev,
               libhts-dev,
               libnlopt-dev,
               libssw-dev,
               python-yaml,
               python-joblib,
               asciidoctor (>= 1.5.3),
               bwa,
               libbwa-dev,
               lynx
Standards-Version: 4.0.0
Testsuite: autopkgtest
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spades.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/spades.git
Homepage: http://cab.spbu.ru/software/spades/

Package: spades
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         python-joblib,
         python-yaml,
         bwa,
         bamtools,
         samtools,
         libjemalloc1,
         libnlopt0,
         libhat-trie0,
         libssw0
Description: genome assembler for single-cell and isolates data sets
 The SPAdes – St. Petersburg genome assembler is intended for both
 standard isolates and single-cell MDA bacteria assemblies.  It works
 with Illumina or IonTorrent reads and is capable of providing hybrid
 assemblies using PacBio and Sanger reads. You can also provide
 additional contigs that will be used as long reads.

## spades 3.11.1%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,11 @@
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SPADES_TOOLS_BINARY_DIR})
 set(EXT_DIR "${CMAKE_SOURCE_DIR}/../ext")
 set(SPADES_CFG_DIR "${CMAKE_SOURCE_DIR}/../configs")
+
+# Uncomment for gprof profiling
+#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
+#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
+#SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg")
 
 # Everything option-dependent
 include(options)

=== ext/tools/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

add_subdirectory(bwa-0.7.12)

=== src/spades_pipeline/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(spades_pipeline)

# SPAdes pipeline scripts
install(FILES hammer_logic.py process_cfg.py spades_logic.py dipspades_logic.py corrector_logic.py support.py options_storage.py lucigen_nxmate.py
        DESTINATION share/spades/spades_pipeline
        COMPONENT runtime)
# TruSpades module
install(FILES truspades/reference_construction.py truspades/moleculo_filter_contigs.py truspades/break_by_coverage.py truspades/moleculo_postprocessing.py truspades/barcode_extraction.py truspades/generate_quality.py truspades/id_generation.py truspades/launch_options.py truspades/string_dist_utils.py
        DESTINATION share/spades/spades_pipeline/truspades
        COMPONENT runtime)
# Common module
install(FILES common/alignment.py common/parallel_launcher.py common/sam_parser.py common/SeqIO.py common/__init__.py
        DESTINATION share/spades/spades_pipeline/common
        COMPONENT runtime)

=== src/common/assembly_graph/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(assembly_graph CXX)

add_library(assembly_graph STATIC
            components/connected_component.cpp paths/bidirectional_path.cpp paths/bidirectional_path_io/io_support.cpp paths/bidirectional_path_io/bidirectional_path_output.cpp graph_support/scaff_supplementary.cpp ../modules/alignment/edge_index_refiller.cpp graph_support/coverage_uniformity_analyzer.cpp)
target_link_libraries(assembly_graph hattrie)

=== src/projects/corrector/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(corrector CXX)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})


add_executable(corrector
	    positional_read.cpp
        interesting_pos_processor.cpp
        contig_processor.cpp
        dataset_processor.cpp
        config_struct.cpp
        main.cpp)

target_link_libraries(corrector input common_modules ${COMMON_LIBRARIES})



if (SPADES_STATIC_BUILD)
  set_target_properties(corrector PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

install(TARGETS corrector
        DESTINATION bin
        COMPONENT runtime)
install(DIRECTORY "${SPADES_CFG_DIR}/corrector"
        DESTINATION share/spades/configs
        FILES_MATCHING PATTERN "*.info")

## spades 3.11.1+dfsg

=== ext/src/CMakeLists.txt ===
# -*- cmake -*-

add_subdirectory(jemalloc)
add_subdirectory(nlopt)
add_subdirectory(python_libs/joblib2)
add_subdirectory(python_libs/joblib3)
add_subdirectory(python_libs/pyyaml2)
add_subdirectory(python_libs/pyyaml3)
add_subdirectory(ConsensusCore)
add_subdirectory(bamtools)
add_subdirectory(samtools)
add_subdirectory(cppformat)
add_subdirectory(ssw)
add_subdirectory(cityhash)
add_subdirectory(getopt_pp)
add_subdirectory(llvm)
add_subdirectory(htrie)
add_subdirectory(bwa)

=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,13 @@
 add_subdirectory(assembly_graph)
 add_subdirectory(modules/path_extend)
 add_subdirectory(modules)
+add_subdirectory(paired_info)
 add_subdirectory(stages)
 add_subdirectory(utils)
 add_subdirectory(io)
-add_subdirectory(utils/mph_index)
-add_subdirectory(utils/coverage_model)
+add_subdirectory(utils/kmer_mph)
+add_subdirectory(modules/coverage_model)
 
 add_library(common_modules STATIC empty.cpp)
 
-target_link_libraries(common_modules assembly_graph input pipeline coverage_model path_extend stages utils mph_index modules)
+target_link_libraries(common_modules assembly_graph input pipeline coverage_model paired_info path_extend stages utils mph_index modules)

=== src/projects/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

add_subdirectory(spades)
add_subdirectory(hammer)
add_subdirectory(ionhammer)
add_subdirectory(dipspades)
add_subdirectory(corrector)
add_subdirectory(scaffold_correction)

if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
  # Require at least gcc 4.8
  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
    add_subdirectory(mph_test)
  endif()
else()
  add_subdirectory(mph_test)
endif()

=== src/common/io/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(input CXX)

add_library(input STATIC
        reads/parser.cpp
        sam/read.cpp
        sam/sam_reader.cpp)

target_link_libraries(input BamTools samtools)

=== src/common/modules/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(modules CXX)

add_library(modules STATIC
            genome_consistance_checker.cpp alignment/bwa_index.cpp)
target_link_libraries(modules bwa)

=== src/common/stages/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(stages CXX)

add_library(stages STATIC
            construction.cpp simplification.cpp)

=== src/common/utils/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 project(utils CXX)
 
 set(utils_src
-    copy_file.cpp
-    path_helper.cpp
+        filesystem/copy_file.cpp
+        filesystem/path_helper.cpp
     logger/logger_impl.cpp)
 
 if (READLINE_FOUND)

=== src/projects/cap/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(cap CXX)

# Define minimum and maximum K
set(SPADES_MIN_K 1 CACHE INTEGER "Minimum k-mer length")
set(SPADES_MAX_K 300 CACHE INTEGER "Maximum k-mer length")
configure_file("${SPADES_MAIN_INCLUDE_DIR}/k_range.hpp.in"
               "${SPADES_BUILT_INCLUDE_DIR}/k_range.hpp")
include_directories(${CMAKE_SOURCE_DIR}/modules
                    ${CMAKE_SOURCE_DIR}/online_vis)

add_executable(cap-tools
  ${EXT_DIR}/include/teamcity_boost/teamcity_boost.cpp
  ${EXT_DIR}/include/teamcity_boost/teamcity_messages.cpp
  tools.cpp)

add_executable(cap main.cpp)

#if (DEFINED static_build)
#  set_target_properties(cap PROPERTIES LINK_SEARCH_END_STATIC 1)
#endif()

if (READLINE_FOUND)
  include_directories(${READLINE_INCLUDE_DIR})
else(READLINE_FOUND)
  #MESSAGE(WARNING "Library `readline' was not found (not installed?).")
endif()
if (CURSES_FOUND)
  include_directories(${CURSES_INCLUDE_PATH})
else(CURSES_FOUND)
  #MESSAGE(WARNING "Library `ncurses' was not found (not installed?)")
endif()
include_directories(./drawing_commands)

set(CAP_LIBS input cityhash nlopt ${COMMON_LIBRARIES})
if (READLINE_FOUND AND CURSES_FOUND)
  set(CAP_LIBS ${CAP_LIBS} ${READLINE_LIBRARY} ${CURSES_NCURSES_LIBRARY})
endif()

target_link_libraries(cap pipeline dev-support path_extend ${CAP_LIBS})
target_link_libraries(cap-tools dev-support math ${CAP_LIBS})

=== src/projects/dipspades/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(dipspades CXX)

add_executable(dipspades
               dipspades_config.cpp
               utils/files_utils.cpp
               main.cpp)

target_link_libraries(dipspades common_modules ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(dipspades PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

install(TARGETS dipspades
        DESTINATION bin
        COMPONENT runtime)
install(DIRECTORY "${SPADES_CFG_DIR}/dipspades"
        DESTINATION share/spades/configs
        FILES_MATCHING PATTERN "*.info")

=== src/projects/hammer/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(hammer CXX)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(hammer
               main.cpp
               hammer_tools.cpp
               hamcluster.cpp
               kmer_cluster.cpp
               kmer_data.cpp
               config_struct_hammer.cpp
               read_corrector.cpp
               expander.cpp)

#  add_subdirectory(quake_count)
#  add_subdirectory(gen_test_data)

target_link_libraries(hammer input utils mph_index pipeline BamTools format ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(hammer PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

install(TARGETS hammer
        DESTINATION bin
        COMPONENT runtime)
install(DIRECTORY "${SPADES_CFG_DIR}/hammer"
        DESTINATION share/spades/configs
        FILES_MATCHING PATTERN "*.info")

=== src/projects/ionhammer/CMakeLists.txt ===
--- 
+++ 
@@ -11,16 +11,30 @@
 
 add_executable(ionhammer
                kmer_data.cpp
-               hamcluster.cpp
                subcluster.cpp
                err_helper_table.cpp
                config_struct.cpp
-               expander.cpp
+               kmer_helpers.cpp
                seqeval/BaseHypothesisEvaluator.cpp
                seqeval/TreephaserLite.cpp
-               main.cpp)
+               main.cpp
+               reference.cpp
+               quality_metrics.cpp
+               quality_thresholds_estimator.cpp
+               hamcluster_1.cpp
+               gamma_poisson_model.cpp
+               normal_quality_model.cpp)
+
+add_executable(kmer_evaluator
+               kmer_data.cpp
+               kmer_evaluator.cpp
+               kmer_helpers.cpp
+               err_helper_table.cpp)
+
+
 
 target_link_libraries(ionhammer input utils pipeline mph_index BamTools ${COMMON_LIBRARIES})
+target_link_libraries(kmer_evaluator input  utils mph_index  BamTools ${COMMON_LIBRARIES})
 
 if (SPADES_STATIC_BUILD)
   set_target_properties(ionhammer PROPERTIES LINK_SEARCH_END_STATIC 1)
@@ -28,6 +42,8 @@
 
 install(TARGETS ionhammer
         RUNTIME DESTINATION bin)
+#install(TARGETS kmer_evaluator
+#        RUNTIME DESTINATION bin)
 install(DIRECTORY "${SPADES_CFG_DIR}/ionhammer"
         DESTINATION share/spades/configs
                 FILES_MATCHING PATTERN "*.cfg")

=== src/projects/mph_test/CMakeLists.txt ===
############################################################################
# Copyright (c) 2016 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(spades-kmercount CXX)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})


add_executable(spades-kmercount
               main.cpp)

target_link_libraries(spades-kmercount common_modules ${COMMON_LIBRARIES})

if (SPADES_STATIC_BUILD)
  set_target_properties(spades-kmercount PROPERTIES LINK_SEARCH_END_STATIC 1)
endif()

=== debian/changelog ===
spades (3.11.1+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Bump Standards-Version.
  * Remove obsolete Testsuite: entry in d/control
  * Add d/copyright entry for new included BBHash headers.

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2017 00:29:26 +0000

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.0.0
-Testsuite: autopkgtest
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spades.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/spades.git
 Homepage: http://cab.spbu.ru/software/spades/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
TMPDIR     := $(CURDIR)/install_spades
LIBDIR     := debian/$(DEBPKGNAME)/usr/lib/spades
mandir     := $(CURDIR)/debian/man
debfolder  := $(CURDIR)/debian

PREFIX:=/usr
BUILD_DIR:=$(CURDIR)/build_spades

DEB_CMAKE_EXTRA_FLAGS = -DSPADES_BOOST_ROOT=/usr/include
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL = C

%:
	dh $@  --with python2 --sourcedirectory=src --buildsystem=cmake

override_dh_clean:
	dh_clean -X.orig

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build_spades
	rm -rf install_spades
	rm -rf spades_test
	find . -name "*.pyc" -delete
	rm -rf $(debfolder)/man_src/*.html $(debfolder)/man_src/*.?
	rm -rf $(mandir)

override_dh_auto_configure:
	echo "Simply use spades_compile.sh in auto_build"

override_dh_auto_build:
	PREFIX=$(TMPDIR) ./spades_compile.sh
# Use Debian-packaged yaml module
	find $(TMPDIR) \
	-type f \
	-print0 \
	-exec sed -i 's/pyyaml[2|3]/yaml/' {} +

override_dh_installman:
	mkdir -p $(mandir)
	asciidoctor -a docdate='' -b manpage $(debfolder)/man_src/*.adoc
	cp $(debfolder)/man_src/*.? $(mandir)
	dh_installman --

override_dh_auto_test:
	$(TMPDIR)/bin/spades.py --test
	$(TMPDIR)/bin/dipspades.py --test
	$(TMPDIR)/bin/metaspades.py --test
	$(TMPDIR)/bin/rnaspades.py --test
	# Difficult to test truSPAdes before installing because bwa-spades
	# is still not in the right place. Let's do this later in an
	# autopkgtest.
	# $(TMPDIR)/bin/truspades.py --test

override_dh_auto_install:
	echo "Nothing to install"

override_dh_install:
	dh_install
	mkdir -p $(LIBDIR)
	mv debian/$(DEBPKGNAME)/usr/bin $(LIBDIR)
	mkdir -p debian/$(DEBPKGNAME)/usr/bin
	install debian/bin/spades debian/$(DEBPKGNAME)/usr/bin/
	chmod +x debian/$(DEBPKGNAME)/usr/bin/spades
	rm -f debian/$(DEBPKGNAME)/usr/share/spades/GPLv2.txt
	rm -f debian/$(DEBPKGNAME)/usr/share/spades/LICENSE

override_dh_installdocs:
	dh_installdocs

override_dh_installchangelogs:
	LANG="C" LANGUAGE="en_US:en" LC_ALL=C.UTF-8 lynx -dump changelog.html > changelog
	dh_installchangelogs changelog
	rm changelog

=== debian/tests/control ===
Tests: run-upstreams-tests 
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="downloadurlmangle=s{release([\d.]+)/}{release${1}/SPAdes-${1}.tar.gz},filenamemangle=s{release([\d.]+)/}{SPAdes-${1}.tar.gz},repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://spades.bioinf.spbau.ru/ release([\d.]+)/

## spades 3.12.0+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,6 +130,9 @@
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../manual.html"
         DESTINATION share/spades
         COMPONENT runtime)
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../manual.md"
+        DESTINATION share/spades
+        COMPONENT runtime)
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../dipspades_manual.html"
         DESTINATION share/spades
         COMPONENT runtime)

=== src/projects/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,6 @@
 add_subdirectory(dipspades)
 add_subdirectory(corrector)
 add_subdirectory(scaffold_correction)
-
-if ("${CMAKE_CXX_COMPILER_ID}" MATCHES "GNU")
-  # Require at least gcc 4.8
-  if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.8)
-    add_subdirectory(mph_test)
-  endif()
-else()
-  add_subdirectory(mph_test)
-endif()
+add_subdirectory(kmercount)
+add_subdirectory(gbuilder)
+add_subdirectory(gmapper)

=== ext/include/btree/CMakeLists.txt ===
# Copyright 2013 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 2.6)

project(cppbtree CXX)

option(build_tests "Build B-tree tests" OFF)
add_definitions(-std=c++11)
set(CMAKE_CXX_FLAGS "-g -O2")

# CMake doesn't have a way to pure template library, 
# add_library(cppbtree btree.h btree_map.h btree_set.h 
#             safe_btree.h safe_btree_map.h safe_btree_set.h)
# set_target_properties(cppbtree PROPERTIES LINKER_LANGUAGE CXX)

if(build_tests)
  enable_testing()
  include_directories($ENV{GTEST_ROOT}/include)
  link_directories($ENV{GTEST_ROOT})
  include_directories($ENV{GFLAGS_ROOT}/include)
  link_directories($ENV{GFLAGS_ROOT}/lib)
  add_executable(btree_test btree_test.cc btree_test_flags.cc)
  add_executable(safe_btree_test safe_btree_test.cc btree_test_flags.cc)
  add_executable(btree_bench btree_bench.cc btree_test_flags.cc)
  target_link_libraries(btree_test gtest_main gtest gflags)
  target_link_libraries(safe_btree_test gtest_main gtest gflags)
  target_link_libraries(btree_bench gflags gtest)
endif()

=== ext/src/edlib/CMakeLists.txt ===
############################################################################
# Copyright (c) 2017 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(edlib CXX)


# Create libraries.
add_library(edlib STATIC edlib.cpp)

=== src/projects/dipspades/CMakeLists.txt ===
--- 
+++ 
@@ -7,18 +7,18 @@
 
 project(dipspades CXX)
 
-add_executable(dipspades
+add_executable(spades-dipspades-core
                dipspades_config.cpp
                utils/files_utils.cpp
                main.cpp)
 
-target_link_libraries(dipspades common_modules ${COMMON_LIBRARIES})
+target_link_libraries(spades-dipspades-core common_modules ${COMMON_LIBRARIES})
 
 if (SPADES_STATIC_BUILD)
-  set_target_properties(dipspades PROPERTIES LINK_SEARCH_END_STATIC 1)
+  set_target_properties(spades-dipspades-core PROPERTIES LINK_SEARCH_END_STATIC 1)
 endif()
 
-install(TARGETS dipspades
+install(TARGETS spades-dipspades-core
         DESTINATION bin
         COMPONENT runtime)
 install(DIRECTORY "${SPADES_CFG_DIR}/dipspades"

=== debian/changelog ===
spades (3.12.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 16:56:55 +0200

spades (3.12.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #897867
  * Fix watch file
  * Add dh-python

  [ Alexandre Mestiashvili ]
  * Add tmp link for tests for spades-bwa
  * Update override_dh_auto_test: implement a workaround so dh_auto_test
    can access data files
  * Add bwa to d/tests/control
  * Remove *.pyc files
  * Add patch 0118_adjust_spades_home_again.patch
    replacing 0113_adjust_paths.patch
  * Update d/patches/spelling
  * Remove duplicated docs from /usr/share/spades
  * Bump Policy to 4.2.1, add myself to uploaders
  * Use https for copyright Format field, s/MIT/Expat/
  * Rename overridden tag to debian-watch-does-not-check-gpg-signature

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 10 Sep 2018 19:37:49 +0000

spades (3.11.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: libnlopt-cxx-dev
    Closes: #902592
  * d/rules:
     + filter nocheck,$(DEB_BUILD_OPTIONS)
     + do not parse d/changelog
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 10:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: spades
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Andreas Tille <tille@debian.org>,
-	Afif Elghraoui <afif@debian.org>,
-	Sascha Steinbiss <satta@debian.org>,
-        Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Sascha Steinbiss <satta@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>,
+           Alexandre Mestiashvili <mestia@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                cmake,
                python-all-dev,
                zlib1g-dev,
@@ -19,6 +19,7 @@
                libhat-trie-dev,
                libhts-dev,
                libnlopt-dev,
+               libnlopt-cxx-dev,
                libssw-dev,
                python-yaml,
                python-joblib,
@@ -26,9 +27,9 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spades.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/spades.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/spades
+Vcs-Git: https://salsa.debian.org/med-team/spades.git
 Homepage: http://cab.spbu.ru/software/spades/
 
 Package: spades

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+include /usr/share/dpkg/default.mk
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 TMPDIR     := $(CURDIR)/install_spades
-LIBDIR     := debian/$(DEBPKGNAME)/usr/lib/spades
+LIBDIR     := debian/$(DEB_SOURCE)/usr/lib/spades
 mandir     := $(CURDIR)/debian/man
 debfolder  := $(CURDIR)/debian
 
@@ -52,6 +53,11 @@
 	dh_installman --
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Ugly hack to make files available for dh_aut_test and autopkgtest
+	mkdir -p $(CURDIR)/../share/
+	ln -s $(CURDIR)/install_spades/share/spades $(CURDIR)/../share/
+	ln -s  /usr/bin/bwa $(CURDIR)/install_spades/bin/spades-bwa
 	$(TMPDIR)/bin/spades.py --test
 	$(TMPDIR)/bin/dipspades.py --test
 	$(TMPDIR)/bin/metaspades.py --test
@@ -60,22 +66,30 @@
 	# is still not in the right place. Let's do this later in an
 	# autopkgtest.
 	# $(TMPDIR)/bin/truspades.py --test
+	# Cleunup symlinks
+	rm -rf $(CURDIR)/../share/
+	unlink $(CURDIR)/install_spades/bin/spades-bwa
+endif
 
 override_dh_auto_install:
 	echo "Nothing to install"
+	find $(CURDIR) -name *.pyc -delete
 
 override_dh_install:
 	dh_install
 	mkdir -p $(LIBDIR)
-	mv debian/$(DEBPKGNAME)/usr/bin $(LIBDIR)
-	mkdir -p debian/$(DEBPKGNAME)/usr/bin
-	install debian/bin/spades debian/$(DEBPKGNAME)/usr/bin/
-	chmod +x debian/$(DEBPKGNAME)/usr/bin/spades
-	rm -f debian/$(DEBPKGNAME)/usr/share/spades/GPLv2.txt
-	rm -f debian/$(DEBPKGNAME)/usr/share/spades/LICENSE
+	mv debian/$(DEB_SOURCE)/usr/bin $(LIBDIR)
+	mkdir -p debian/$(DEB_SOURCE)/usr/bin
+	install debian/bin/spades debian/$(DEB_SOURCE)/usr/bin/
+	chmod +x debian/$(DEB_SOURCE)/usr/bin/spades
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/GPLv2.txt
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/LICENSE
+	ln -s ../../../share/spades/VERSION debian/$(DEB_SOURCE)/usr/lib/spades/bin/VERSION
 
 override_dh_installdocs:
 	dh_installdocs
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/*.html
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/manual.md
 
 override_dh_installchangelogs:
 	LANG="C" LANGUAGE="en_US:en" LC_ALL=C.UTF-8 lynx -dump changelog.html > changelog

=== debian/tests/control ===
Tests: run-upstreams-tests
Depends: @,bwa
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://cab.spbu.ru/software/spades/ .*/release.*/SPAdes-(\d[\d.]+)@ARCHIVE_EXT@

## spades 3.13.0+dfsg

=== debian/changelog ===
spades (3.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream has removed dipspades

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 22:08:43 +0200

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	ln -s $(CURDIR)/install_spades/share/spades $(CURDIR)/../share/
 	ln -s  /usr/bin/bwa $(CURDIR)/install_spades/bin/spades-bwa
 	$(TMPDIR)/bin/spades.py --test
-	$(TMPDIR)/bin/dipspades.py --test
 	$(TMPDIR)/bin/metaspades.py --test
 	$(TMPDIR)/bin/rnaspades.py --test
 	# Difficult to test truSPAdes before installing because bwa-spades

## spades 3.13.0+dfsg2

=== ext/src/gqf/CMakeLists.txt ===
############################################################################
# Copyright (c) 2017 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(gqf C)

add_library(gqf STATIC gqf.c)

=== src/common/stages/CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 add_library(stages STATIC
             construction.cpp simplification.cpp)
-
+target_link_libraries(stages gqf)

=== debian/changelog ===
spades (3.13.0+dfsg2-2) unstable; urgency=medium

  * Also remove jemalloc from (build-)depends.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 10:12:47 -0800

spades (3.13.0+dfsg2-1) unstable; urgency=medium

  * Restore the bundled jemalloc as Debian's package is too new.
  * Pull releases from GitHib.
  * Standards-Version: 4.3.0 (no changes needed)
  * Install README.md to /usr/share/doc/spades/

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 07:54:34 -0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libboost-dev,
                libbam-dev,
                libbamtools-dev,
-               libjemalloc-dev,
                libhat-trie-dev,
                libhts-dev,
                libnlopt-dev,
@@ -27,7 +26,7 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/spades
 Vcs-Git: https://salsa.debian.org/med-team/spades.git
 Homepage: http://cab.spbu.ru/software/spades/
@@ -42,7 +41,6 @@
          bwa,
          bamtools,
          samtools,
-         libjemalloc1,
          libnlopt0,
          libhat-trie0,
          libssw0

=== debian/rules ===
--- 
+++ 
@@ -82,8 +82,10 @@
 	install debian/bin/spades debian/$(DEB_SOURCE)/usr/bin/
 	chmod +x debian/$(DEB_SOURCE)/usr/bin/spades
 	rm -f debian/$(DEB_SOURCE)/usr/share/spades/GPLv2.txt
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/README.md
 	rm -f debian/$(DEB_SOURCE)/usr/share/spades/LICENSE
 	ln -s ../../../share/spades/VERSION debian/$(DEB_SOURCE)/usr/lib/spades/bin/VERSION
+
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/ablab/spades/releases/ .*/download/.*/SPAdes-(\d[\d.]+)@ARCHIVE_EXT@

## spades 3.13.1%2Bdfsg

=== assembler/src/common/io/graph/CMakeLists.txt ===
############################################################################
# Copyright (c) 2018 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(graphio CXX)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(graphio STATIC
            gfa_reader.cpp gfa_writer.cpp
            fastg_writer.cpp)
target_link_libraries(graphio gfa1)

=== assembler/src/projects/hammer/quake_enhanced/CMakeLists.txt ===
############################################################################
# Copyright (c) 2015 Saint Petersburg State University
# Copyright (c) 2011-2014 Saint Petersburg Academic University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

#add_subdirectory(count)
add_subdirectory(prepare_graph)
add_subdirectory(filter_trusted)
add_subdirectory(filter_trusted_enh)
add_subdirectory(test_correction_quality)
add_subdirectory(correct_hist)
add_subdirectory(generate_limits)
project(quake_enhanced CXX)
add_executable(quake_enhanced
  main.cpp options.cpp count.cpp prepare_hist.cpp prepare_limits.cpp filter_trusted.cpp)
target_link_libraries(quake_enhanced ${COMMON_LIBRARIES})

=== debian/changelog ===
spades (3.13.1+dfsg-2) unstable; urgency=medium

  * Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 10:48:44 +0100

spades (3.13.1+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * Moved packaging to Python3
    Closes: #938521
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Repository.
  * Make sure Python3 interpreter is used in scripts
  * Specify yaml loader
  * Drop webvis dir from source which has compressed JS but its not used
    in the binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 15:34:43 +0100
